Verify JWT
curl --request POST \
--url https://api.voxo.co/v2/authentication/jwt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessToken": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/authentication/jwt"
payload = { "accessToken": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>'})
};
fetch('https://api.voxo.co/v2/authentication/jwt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": 123,
"email": "<string>",
"userRole": 123,
"avatarPath": "<string>",
"avatarThumbnailPath": "<string>",
"tenantId": 123,
"partnerId": 123,
"timezone": "<string>",
"coverPhoto": "<string>",
"darkMode": 123,
"mobileDarkMode": 123,
"otp": "<string>",
"mfaEnabled": 123,
"mfaMode": "<string>",
"mfaPhoneNumber": "<string>",
"mfaSmsVerified": 123,
"mfaAppSecret": "<string>",
"mfaAppVerified": 123,
"mfaEmailVerified": 123,
"title": "<string>",
"enableCallNotifications": 123,
"enableChatNotifications": 123,
"enableAllNewMessageNotifications": 123,
"enableDirectMessageNotifications": 123,
"enableTextNotifications": 123,
"enablePostCallNotifications": 123,
"enableMobileTextNotifications": 123,
"enableMobileCallNotifications": 123,
"enableMobileChatNotifications": 123,
"enableBusyLights": 123,
"isGoogleCalendarAuthorized": 123,
"isOutlookCalendarAuthorized": 123,
"extId": 123,
"extName": "<string>",
"extNum": "<string>",
"callerIdNumber": "<string>",
"dnd": "<string>",
"outboundRecord": "<string>",
"peerName": "<string>",
"peerSecret": "<string>",
"enableMeetings": 123,
"enableTranscription": 123,
"branchId": 123,
"branchName": "<string>",
"permissions": [
"<string>"
]
},
"accessToken": "<string>"
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Authentication
Verify JWT
Verify a JWT access token and return the associated user
POST
/
v2
/
authentication
/
jwt
Verify JWT
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
JWT access token to verify
Was this page helpful?
⌘I